Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.parse.compact
Class CompactParseable

    java.lang.Object
      convert.relaxng.parse.compact.CompactParseable

All Implemented Interfaces:
  Parseable, SubParser

    public class CompactParseable

extends java.lang.Object
implements Parseable

Constructor Summary
`CompactParseable(org.xml.sax.InputSource in, org.xml.sax.ErrorHandler eh)`

Method Summary
`ParsedPattern` | `parse(SchemaBuilder sb, Scope scope)`
`ParsedPattern` | `parseExternal(java.lang.String uri, SchemaBuilder sb, Scope scope)`
`ParsedPattern` | `parseInclude(java.lang.String uri, SchemaBuilder sb, IncludedGrammar g)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompactParseable

    public CompactParseable(org.xml.sax.InputSource in,
                            org.xml.sax.ErrorHandler eh)

Method Detail

### parse

    public ParsedPattern parse(SchemaBuilder sb,
                               Scope scope)
                        throws BuildException,
                               IllegalSchemaException

  Specified by:
    `parse` in interface `Parseable`
  Throws:
    `BuildException`
    `IllegalSchemaException`

### parseInclude

    public ParsedPattern parseInclude(java.lang.String uri,
                                      SchemaBuilder sb,
                                      IncludedGrammar g)
                               throws BuildException,
                                      IllegalSchemaException

  Specified by:
    `parseInclude` in interface `SubParser`
  Throws:
    `BuildException`
    `IllegalSchemaException`

### parseExternal

    public ParsedPattern parseExternal(java.lang.String uri,
                                       SchemaBuilder sb,
                                       Scope scope)
                                throws BuildException,
                                       IllegalSchemaException

  Specified by:
    `parseExternal` in interface `SubParser`
  Throws:
    `BuildException`
    `IllegalSchemaException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD